PluginConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class PluginConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.DependenciesConfiguration
          org.codehaus.groovy.grails.resolve.maven.aether.config.PluginConfiguration

    @groovy.transform.CompileStatic
    class PluginConfiguration
    extends DependenciesConfiguration

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class DependenciesConfiguration
ALL_SCOPES, SCOPE_BUILD, SCOPE_COMPILE, SCOPE_OPTIONAL, SCOPE_PROVIDED, SCOPE_RUNTIME, SCOPE_TEST

Constructor Summary
`PluginConfiguration(AetherDependencyManager dependencyManager)`

Method Summary
`void` | `addBuildDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)`
`void` | `addDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)`
`void` | `build(java.lang.String pattern, groovy.lang.Closure customizer)`
`void` | `compile(java.lang.String pattern, groovy.lang.Closure customizer)`
`protected java.lang.String` | `getDefaultExtension()`
`protected java.lang.String` | `getDefaultGroup()`
`void` | `optional(java.lang.String pattern, groovy.lang.Closure customizer)`
`void` | `provided(java.lang.String pattern, groovy.lang.Closure customizer)`
`void` | `runtime(java.lang.String pattern, groovy.lang.Closure customizer)`
`void` | `test(java.lang.String pattern, groovy.lang.Closure customizer)`

Methods inherited from class DependenciesConfiguration
addBuildDependency, addBuildDependency, addBuildDependency, addDependency, addDependency, addDependency, agent, build, build, compile, compile, createDependencyForProperties, customizeDependency, environments, extractDependencyProperties, getDefaultExtension, getDefaultGroup, invokeForString, methodMissing, optional, optional, provided, provided, runtime, runtime, test, test

Constructor Detail

### PluginConfiguration

    PluginConfiguration(AetherDependencyManager dependencyManager)

Method Detail

### addBuildDependency

    @java.lang.Override
    void addBuildDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)

### addDependency

    @java.lang.Override
    void addDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)

### build

    @java.lang.Override
    void build(java.lang.String pattern, groovy.lang.Closure customizer)

### compile

    @java.lang.Override
    void compile(java.lang.String pattern, groovy.lang.Closure customizer)

### getDefaultExtension

    @java.lang.Override
    protected java.lang.String getDefaultExtension()

### getDefaultGroup

    protected java.lang.String getDefaultGroup()

### optional

    @java.lang.Override
    void optional(java.lang.String pattern, groovy.lang.Closure customizer)

### provided

    @java.lang.Override
    void provided(java.lang.String pattern, groovy.lang.Closure customizer)

### runtime

    @java.lang.Override
    void runtime(java.lang.String pattern, groovy.lang.Closure customizer)

### test

    @java.lang.Override
    void test(java.lang.String pattern, groovy.lang.Closure customizer)

Groovy Documentation